summaryrefslogtreecommitdiff
path: root/init.d/10restore-metadata
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/10restore-metadata')
-rwxr-xr-xinit.d/10restore-metadata14
1 files changed, 14 insertions, 0 deletions
diff --git a/init.d/10restore-metadata b/init.d/10restore-metadata
new file mode 100755
index 0000000..9c2bf65
--- /dev/null
+++ b/init.d/10restore-metadata
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Note that metastore doesn't check that the .metastore file only changes
+# perms of files in the current directory. It's ok to trust the .metastore
+# file won't do anything shady, because, as documented, etckeeper-init
+# should only be run on repositories you trust.
+if [ -e .metadata ]; then
+ if which metastore >/dev/null; then
+ metastore --apply --mtime
+ else
+ echo "etckeeper warning: legacy .metastore file is present but metastore is not installed" >&2
+ fi
+fi